Name: acme.sh
Version: 2.8.5
Release: 1
Summary: An ACME Shell script

Group: Networking
License: GPLv3

Source0: %{name}-%{version}.tar.gz

BuildRoot: %{_builddir}/%{name}-%{version}-%{release}.%{_arch}

BuildArch: noarch

Requires: bash >= 2.0
Requires: cronie, openssl, socat
BuildRequires: cronie, openssl, socat

%description
It's probably the easiest & smartest shell script to automatically
issue & renew the free certificates from Let's Encrypt.

%prep
%setup -q
mv ./deploy/README.md README.md.deploy
mv ./dnsapi/README.md README.md.dnsapi

%build
sed -i -e 's#DEFAULT_INSTALL_HOME="$HOME/.$PROJECT_NAME"#DEFAULT_INSTALL_HOME="%{buildroot}%{_libexecdir}/%{name}"#' ./acme.sh

%install
./acme.sh --install

for file in $(grep -rl %{buildroot} %{buildroot}) ; do
   sed -i -e "s#%{buildroot}##g" "$file"
done

%{__mkdir_p} %{buildroot}%{_bindir}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/%{name}

# shell script
mv %{buildroot}/%{_libexecdir}/%{name}/%{name} %{buildroot}%{_bindir}/%{name}

# configuration
rm %{buildroot}/%{_libexecdir}/%{name}/account.conf
rm %{buildroot}/%{_libexecdir}/%{name}/acme.sh.env

cat - > %{buildroot}%{_sysconfdir}/%{name}/account.conf <<EOF
LOG_FILE="/var/log/acme.sh.log"
#LOG_LEVEL=1
#AUTO_UPGRADE="1"
#NO_TIMESTAMP=1
USER_PATH='/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/root/bin'
LE_WORKING_DIR="/usr/libexec/acme.sh"
LE_CONFIG_HOME="/etc/acme.sh"
EOF

cat - > %{buildroot}%{_sysconfdir}/%{name}/acme.sh.env <<EOF
export LE_WORKING_DIR="/usr/libexec/acme.sh"
export LE_CONFIG_HOME="/etc/acme.sh"
EOF

%files
%dir %attr(755,root,root) %{_sysconfdir}/%{name}
%dir %attr(755,root,root) %{_libexecdir}/%{name}

%defattr(-,root,root)
%{_sysconfdir}/%{name}/*
%{_bindir}/%{name}
%{_libexecdir}/%{name}/deploy/*
%{_libexecdir}/%{name}/dnsapi/*
%{_libexecdir}/%{name}/notify/*

%doc Dockerfile README.md README.md.deploy README.md.dnsapi

%changelog
* Tue Apr 7 2020 Pavel Lisý <pavel.lisy@gmail.com> 2.8.5-1
- update last stable release

* Mon Feb 11 2019 Pavel Lisý <pavel.lisy@tmapy.cz> 2.8.0-1
- initial release
